import * as React from 'react';
import { type VariantProps } from 'class-variance-authority';
import { surfaceVariants } from './surface';
export type CardVariant = VariantProps<typeof surfaceVariants>['variant'];
export type CardRadius = VariantProps<typeof surfaceVariants>['radius'];
declare const cardLayoutVariants: (props?: ({
    size?: "default" | "none" | "compact" | "responsive" | null | undefined;
} & import("class-variance-authority/types").ClassProp) | undefined) => string;
export type CardSize = VariantProps<typeof cardLayoutVariants>['size'];
export type CardProps = React.ComponentProps<'div'> & {
    variant?: CardVariant;
    size?: CardSize;
    radius?: CardRadius;
};
declare function Card({ className, variant, size, radius, ...props }: CardProps): React.ReactElement;
declare function CardHeader({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare function CardTitle({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare function CardDescription({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare function CardAction({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare function CardContent({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
declare function CardFooter({ className, ...props }: React.ComponentProps<'div'>): import("react/jsx-runtime").JSX.Element;
export { Card, CardHeader, CardFooter, CardTitle, CardAction, CardDescription, CardContent, };
